设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 1232|回复: 5

[多段线] 提取多段线信息到指定的文件

[复制链接]

已领礼包: 40个

财富等级: 招财进宝

发表于 2016-5-7 23:19:26 | 显示全部楼层 |阅读模式
  • 插件名称 : 取PL顶点
  • 作  者 : Newer
  • 运行环境 :XDRX API 
  • 发布时间 :2016-05-07
  • 命令名称 :XDTB_PL2FILE
  • 插件介绍 :提取顶点坐标到指定的文件
  • 备  注 : (点击图片可以放大)
(点击图片可以放大)

晓东温馨提示 1、运行环境为 晓东工具箱XDRX API 的插件,请下载最新版本的 晓东工具箱XDRX API开发环境 一键安装
2、在ACAD中如何加载插件,请看 论坛插件使用方法
3、如果您有要求需要定制插件,请到 编程申请 论坛发帖求助

插件详细内容

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
[sell=3]
  1. (defun c:XDTB_Pl2file ( / arc bulge fn i nums p1 p2 pl)
  2.   (prompt "\n提取顶点坐标到指定的文件...")
  3.   (if (setq pl (car (xdrx_entsel "\n选定一条PolyLine<退出>:" '((0 . "*polyline")))))
  4.     (progn
  5.       (if (setq fn (xdrx_system_selectFiles "选取保存的文件名" "" "txt" 1))
  6.         (progn
  7.           (if (setq fn (open (car fn) "w"))
  8.             (progn
  9.               (setq nums (xdrx_getpropertyvalue pl "numverts")
  10.                     i 0
  11.               )
  12.               (write-line (strcat "面积:" (rtos
  13.                                                  (xdrx_getpropertyvalue pl "area")
  14.                                                  2 1
  15.                                            )
  16.                           ) fn
  17.               )
  18.               (write-line (strcat "长度:" (rtos
  19.                                                  (xdrx_getpropertyvalue pl "length")
  20.                                                  2 1
  21.                                            )
  22.                           ) fn
  23.               )
  24.               (write-line "\n" fn)
  25.               (repeat nums
  26.                 (setq p1 (xdrx_getpropertyvalue pl "pointat" i))
  27.                 (write-line (strcat "顶点" (itoa (+ i 1)) ":  X="
  28.                                     (rtos (car p1) 2 4) " , Y="
  29.                                     (rtos (cadr p1) 2 4)
  30.                             ) fn
  31.                 )
  32.                 (setq bulge (xdrx_getpropertyvalue pl "bulgeat" i))
  33.                 (if (/= bulge 0)
  34.                   (progn
  35.                     (setq p2 (xdrx_getpropertyvalue pl "pointat" (+ 1 i)))
  36.                     (setq arc (xdrx_geom_poly2arc p1 bulge p2))

  37.                     (write-line (strcat "     圆弧凸度:" (rtos bulge 2 4)
  38.                                         "  圆心:"
  39.                                         (vl-princ-to-string (nth 1 arc))
  40.                                         "  半径:" (rtos (nth 2 arc) 2 1)
  41.                                         "  起始角:" (rtos (nth 3 arc) 2 4)
  42.                                         "  终止角:" (rtos (nth 4 arc) 2 4)
  43.                                         (if (car arc)
  44.                                           "  逆时针"
  45.                                           "  顺时针"
  46.                                         )
  47.                                 ) fn
  48.                     )
  49.                   )
  50.                 )
  51.                 (setq i (1+ i))
  52.               )
  53.               (close fn)
  54.             )
  55.           )
  56.         )
  57.       )
  58.     )
  59.   )
  60.   (princ)
  61. )


[/sell]
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
发表于 2016-5-15 06:55:18 | 显示全部楼层
学习学习!!!!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复

使用道具 举报

发表于 2016-9-26 23:53:50 | 显示全部楼层
不错,学习学习
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

已领礼包: 17个

财富等级: 恭喜发财

发表于 2016-10-3 23:35:14 | 显示全部楼层
谢谢分享,很有用
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2016-12-11 21:14:16 | 显示全部楼层
很不错,谢谢分享!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

发表于 2019-6-8 19:33:29 | 显示全部楼层
很不错,谢谢分享!
论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
回复 支持 反对

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-3-8 20:50 , Processed in 0.123299 second(s), 26 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表